<div id="{{ idPrefix }}looking_for_property_request_widget" class="mdc-card h-100">
    <div class="card-header p-3 d-flex mb-4">
        <div class="icon-thumbnail me-4 ms-0 align-text-top">
            <span>
                <i class="material-icons">
                    location_on
                </i>
            </span>
        </div>
        <div class="card-title align-self-center">
            <h2 class="mb-1 fs-4">Ansiedlungsgesuche</h2>
            <p class="mb-0">Übersicht der Ansiedlungsgesuche</p>
        </div>
        <div class="ms-auto align-text-top">
            {% set listItems = [
                {
                    'label': 'zu aktiven Ansiedlungsgesuchen',
                    'url': path('company_location_management_looking_for_property_request_overview'),
                    'icon': 'search'
                },
                {
                    'label': 'zu inaktiven Ansiedlungsgesuchen',
                    'url': path('company_location_management_looking_for_property_request_overview_inactive'),
                    'icon': 'search_off'
                },
                {
                    'label': 'zu archivierten Ansiedlungsgesuchen',
                    'url': path('company_location_management_looking_for_property_request_overview_archive'),
                    'icon': 'inventory'
                },
            ] %}

            {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Ansiedlungsgesuch erfassen',
                        'url': path('company_location_management_looking_for_property_request_create'),
                        'icon': 'playlist_add'
                    },
                ]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': idPrefix ~ 'looking_for_property_request_widget',
                'listItems': listItems
            } only %}
        </div>
    </div>
    <div class="card-body p-4 pt-0 h-100">
        <div class="row">
            <div class="col-12 col-lg-6">
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Aktive Ansiedlungsgesuche:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ lookingForPropertyRequestStatistics.getActive() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Inaktive Ansiedlungsgesuche:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ lookingForPropertyRequestStatistics.getInactive() }}</span>
                    </div>
                </div>
                <div class="d-flex mb-2">
                    <div class="ms-0">
                        Archivierte Ansiedlungsgesuche:
                    </div>
                    <div class="ms-auto">
                        <span class="fs-6 fw-bold text-secondary">{{ lookingForPropertyRequestStatistics.getArchived() }}</span>
                    </div>
                </div>
            </div>
            {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_REPORT_MANAGER') %}
                <div class="col-12 col-lg-6">
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            von mir erfasst:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ lookingForPropertyRequestStatistics.getCreatedByCurrentUser() }}</span>
                        </div>
                    </div>
                    <div class="d-flex mb-2">
                        <div class="ms-0">
                            mir zugewiesen:
                        </div>
                        <div class="ms-auto">
                            <span class="fs-6 fw-bold text-secondary">{{ lookingForPropertyRequestStatistics.getAssignedToCurrentUser() }}</span>
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>
    </div>
</div>
